

A = [0 1 0 1; 1 0 1 1; 0 1 0 0; 1 1 0 0];
P_rw = [0 1/2 0 1/2; 1/3 0 1/3 1/3; 0 1 0 0; 1/2 1/2 0 0];

% A = [0 1 0 1; 1 0 1 0; 0 1 0 1; 1 0 1 0];
% P_rw = [0 1/2 0 1/2; 1/2 0 1/2 0; 0 1/2 0 1/2; 1/2 0 1/2 0];

% A = [0 1 1 1; 1 0 1 1; 1 1 0 1; 1 1 1 0];
% P_rw = [0 1/3 1/3 1/3; 1/3 0 1/3 1/3; 1/3 1/3 0 1/3; 1/3 1/3 1/3 0];

s = zeros(1,20);
for t=1:20
    At = A*P_rw^(t-1);
    s(t) = sum(sum(At.*(1-At)));
    fprintf('t = %d, s =%d\n', t, s);
end

plot(s,'-o');

